//+------------------------------------------------------------------+
//|                                                         Info.mq4 |
//|                                      Copyright  2008, EvgeTrofi |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, EvgeTrofi"

#include <WinUser32.mqh>

int start()
{
 if (!IsConnected())
 {
  MessageBox("     \t","!",MB_OK|MB_ICONERROR);
  return(-1);
 }
 string str2;
 string str="\t\t\t\n\n";
 str=StringConcatenate(str,"\t\t\t",MarketInfo(Symbol(),MODE_SPREAD),"\t\n\n");
 str=StringConcatenate(str,". \t\t",MarketInfo(Symbol(),MODE_STOPLEVEL),"\t\n\n");
 str=StringConcatenate(str,"1  * 1 \t\t",MarketInfo(Symbol(),MODE_TICKVALUE),"\t",AccountCurrency(),"\n\n");
 str=StringConcatenate(str,"  1 \t\t",MarketInfo(Symbol(),MODE_MARGINREQUIRED),"\t",AccountCurrency(),"\n\n");
 str=StringConcatenate(str," \t",AccountFreeMargin(),"\t",AccountCurrency(),"\n\n");
 str=StringConcatenate(str," \t\t1:",AccountLeverage(),"\n\n");
 str=StringConcatenate(str," \t\t",MarketInfo(Symbol(),MODE_SWAPLONG),"\t\t",str2,"\t\n\n");
 str=StringConcatenate(str," \t\t",MarketInfo(Symbol(),MODE_SWAPSHORT),"\t\t",str2,"\t\n\n");
 str=StringConcatenate(str," \t",MarketInfo(Symbol(),MODE_MINLOT),"\n\n");
 str=StringConcatenate(str," \t\t\t",MarketInfo(Symbol(),MODE_LOTSTEP),"\n\n");
 
 double MaxLot = MarketInfo(Symbol(),MODE_MAXLOT);
 if(MaxLot>AccountFreeMargin()*0.99/MarketInfo(Symbol(),MODE_MARGINREQUIRED))// 0.99 -  
    MaxLot=AccountFreeMargin()*0.99/MarketInfo(Symbol(),MODE_MARGINREQUIRED);
 str=StringConcatenate(str,"  = AccountFreeMargin() / MARGINREQUIRED = ",MaxLot,"\n\n");
 str=StringConcatenate(str,"   100  = AccountFreeMargin() / 100 / TICKVALUE = ",AccountFreeMargin()/100/MarketInfo(Symbol(),MODE_TICKVALUE),"\n");
 
 if(MarketInfo(Symbol(),MODE_TRADEALLOWED)==0)
  str2="";
 else
  str2="";
 str=StringConcatenate(str,"\n   ",Symbol()," ",str2,"\n\n");
 MessageBox(str,"   "+Symbol()+"  "+TimeToStr(TimeCurrent(),TIME_DATE|TIME_SECONDS),MB_OK|MB_ICONINFORMATION);
 
 return(0);
}


